com.sun.javadoc

## Interface AnnotationDesc

-     public interface AnnotationDesc

  Represents an annotation. An annotation associates a value with each element of an annotation type.
  Since:
    1.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `AnnotationDesc.ElementValuePair` Represents an association between an annotation type element and one of its values.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationTypeDoc` | `annotationType()` Returns the annotation type of this annotation.
    `AnnotationDesc.ElementValuePair[]` | `elementValues()` Returns this annotation's elements and their values.

- - ### Method Detail

    - #### annotationType

          AnnotationTypeDoc annotationType()

      Returns the annotation type of this annotation.
      Returns:
        the annotation type of this annotation.

    - #### elementValues

          AnnotationDesc.ElementValuePair[] elementValues()

      Returns this annotation's elements and their values. Only those explicitly present in the annotation are included, not those assuming their default values. Returns an empty array if there are none.
      Returns:
        this annotation's elements and their values.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2014, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.